Package org.apache.synapse.commons.staxon.core.json.stream.util

# Class RemoveRootTarget

java.lang.Object
org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate
org.apache.synapse.commons.staxon.core.json.stream.util.RemoveRootTarget

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`, `JsonStreamTarget`

public class RemoveRootTarget extends StreamTargetDelegate

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoveRootTarget(JsonStreamTarget delegate, QName root, char namespaceSeparator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `endObject()`
  End object.
  `void`
  `name(String name)`
  Write name.
  `void`
  `startObject()`
  Start object

  ### Methods inherited from class org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate

  `close, endArray, flush, startArray, value`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RemoveRootTarget

    public RemoveRootTarget(JsonStreamTarget delegate, QName root, char namespaceSeparator)

- ## Method Details

  - ### name

    public void name(String name) throws IOException
    Description copied from interface: `JsonStreamTarget`
    Write name.
    Specified by:
      `name` in interface `JsonStreamTarget`
    Overrides:
      `name` in class `StreamTargetDelegate`
    Parameters:
      `name` -
    Throws:
      `IOException`

  - ### startObject

    public void startObject() throws IOException
    Description copied from interface: `JsonStreamTarget`
    Start object
    Specified by:
      `startObject` in interface `JsonStreamTarget`
    Overrides:
      `startObject` in class `StreamTargetDelegate`
    Throws:
      `IOException`

  - ### endObject

    public void endObject() throws IOException
    Description copied from interface: `JsonStreamTarget`
    End object.
    Specified by:
      `endObject` in interface `JsonStreamTarget`
    Overrides:
      `endObject` in class `StreamTargetDelegate`
    Throws:
      `IOException`